import { EventEmitter, OnInit } from '@angular/core';
import { FormControlName, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditRadioButtonComponent implements OnInit {
    ngControl: NgControl;
    private controlName;
    selectedOption: any;
    selectedIndex: number;
    isDisabled: boolean;
    isTouched: boolean;
    defaultValue: any;
    onValueEvent: EventEmitter<any>;
    radioGroupTitle: string;
    helpMessage: string;
    radioGroupElements: any[];
    isRequired: boolean;
    requiredErrorDescription: string;
    formControl: any;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    onChange: (_: any) => void;
    onTouch: () => void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    onValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditRadioButtonComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditRadioButtonComponent, "wapp-edit-radio-button", never, { "defaultValue": "defaultValue"; "radioGroupTitle": "radioGroupTitle"; "helpMessage": "helpMessage"; "radioGroupElements": "radioGroupElements"; "isRequired": "isRequired"; "requiredErrorDescription": "requiredErrorDescription"; }, { "onValueEvent": "onValue"; }, never, never, false, never>;
}
