import { EventEmitter, OnInit } from '@angular/core';
import { FormControlName, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditSlideToggleComponent implements OnInit {
    ngControl: NgControl;
    private controlName;
    label?: string;
    textToggle: string;
    value: boolean;
    helpDescription: string;
    isDisabled: boolean;
    isRequired: boolean;
    formControl: any;
    _isRequired: boolean;
    toggleState: EventEmitter<boolean>;
    isTouched: boolean;
    onChange: (_: any) => void;
    onTouch: () => void;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    writeValue(obj: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouch: any): void;
    onInput(obj: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditSlideToggleComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditSlideToggleComponent, "wapp-edit-slide-toggle", never, { "label": "label"; "textToggle": "textToggle"; "value": "value"; "helpDescription": "helpDescription"; "isDisabled": "isDisabled"; "isRequired": "isRequired"; }, { "toggleState": "toggleState"; }, never, never, false, never>;
}
