import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControlName, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditTextareaComponent implements OnInit, ControlValueAccessor {
    ngControl: NgControl;
    private controlName;
    value: string;
    inputValue: string;
    onValueEvent: EventEmitter<string>;
    label: string;
    placeholder: string;
    rows: number;
    minlength: number;
    maxlength: number;
    autoResize: boolean;
    pattern: string;
    isRequired: boolean;
    requiredErrorDescription: string;
    minlengthErrorDescription: string;
    maxlengthErrorDescription: string;
    patternErrorDescription: string;
    formControl: any;
    isDisabled: boolean;
    isTouched: boolean;
    onChange: (_: any) => void;
    onTouch: () => void;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouch: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditTextareaComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditTextareaComponent, "wapp-edit-textarea", never, { "inputValue": "inputValue"; "label": "label"; "placeholder": "placeholder"; "rows": "rows"; "minlength": "minlength"; "maxlength": "maxlength"; "autoResize": "autoResize"; "pattern": "pattern"; "isRequired": "isRequired"; "requiredErrorDescription": "requiredErrorDescription"; "minlengthErrorDescription": "minlengthErrorDescription"; "maxlengthErrorDescription": "maxlengthErrorDescription"; "patternErrorDescription": "patternErrorDescription"; }, { "onValueEvent": "onValue"; }, never, never, false, never>;
}
