import { EventEmitter } from '@angular/core';
import { ImageCropperData } from '../../shared/models/image-cropper-data.model';
import { DynamicDialogConfig, DynamicDialogRef } from 'primeng/dynamicdialog';
import { ModalService } from '../../shared/service/modal/modal.service';
import { Dimensions, ImageCroppedEvent, ImageTransform } from 'ngx-image-cropper';
import { UploaderFile } from '../../shared/models/uploaer-file.model';
import * as i0 from "@angular/core";
export declare class WappImageCropperComponent {
    private ref;
    private dialogService;
    dynamicDialogConfig: DynamicDialogConfig;
    dimensionsInput: ImageCropperData;
    translationsImageCropper: any;
    imageCroppedFinal: EventEmitter<any>;
    imageB64: EventEmitter<any>;
    blob: any;
    imageChangedEvent: any;
    croppedImage: any;
    canvasRotation: number;
    rotation: number;
    translateH: number;
    translateV: number;
    scale: number;
    aspectRatio: number;
    showCropper: boolean;
    containWithinAspectRatio: boolean;
    transform: ImageTransform;
    imageURL?: string;
    loading: boolean;
    allowMoveImage: boolean;
    hidden: boolean;
    croppedImageFile: UploaderFile;
    dimensions: any;
    maxFileSize: number;
    roundedCropper: boolean;
    fromModal: boolean;
    dialogPreview: DynamicDialogRef;
    constructor(ref: DynamicDialogRef, dialogService: ModalService, dynamicDialogConfig: DynamicDialogConfig);
    ngOnInit(): void;
    myUploader(event: any): void;
    setCroppeImageFileObject(): void;
    imageCropped(event: ImageCroppedEvent): void;
    imageLoaded(): void;
    cropperReady(sourceImageDimensions: Dimensions): void;
    loadImageFailed(): void;
    rotateLeft(): void;
    rotateRight(): void;
    moveLeft(): void;
    moveRight(): void;
    moveTop(): void;
    moveBottom(): void;
    flipHorizontal(): void;
    flipVertical(): void;
    resetImage(): void;
    zoomOut(): void;
    zoomIn(): void;
    toggleContainWithinAspectRatio(): void;
    updateRotation(): void;
    toggleAspectRatio(): void;
    toggleAspectRatio1(): void;
    viewCrop(): void;
    deleteBlob(): void;
    cancelDialog(): void;
    saveImageCropped(): void;
    private flipAfterRotate;
    imageCroppedToBase64(imageData: string, imageName: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappImageCropperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappImageCropperComponent, "wapp-image-cropper", never, { "dimensionsInput": "dimensionsInput"; "translationsImageCropper": "translationsImageCropper"; "blob": "blob"; }, { "imageCroppedFinal": "imageCroppedFinal"; "imageB64": "imageB64"; }, never, never, false, never>;
}
