/// <reference types="google.maps" />
import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, Renderer2, SimpleChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AddressMaps } from '../../shared/models/address-maps.model';
import * as i0 from "@angular/core";
export declare class WappMapsComponent implements OnInit, AfterViewInit, OnChanges {
    private render;
    searchField: ElementRef;
    divMap: ElementRef;
    isEdit: boolean;
    mapHeight: string;
    showMap: boolean;
    componentRestrictions: any;
    initialCoords: any;
    streetAddress: any;
    addressVerbose: EventEmitter<AddressMaps>;
    map: google.maps.Map;
    marker: google.maps.Marker;
    formMapas: FormGroup;
    addressFinal: AddressMaps;
    constructor(render: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    loadMap(position: any): any;
    returnAddress(place: any): void;
    private loadAutoComplete;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappMapsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappMapsComponent, "wapp-maps", never, { "isEdit": "isEdit"; "mapHeight": "mapHeight"; "showMap": "showMap"; "componentRestrictions": "componentRestrictions"; "initialCoords": "initialCoords"; "streetAddress": "streetAddress"; }, { "addressVerbose": "addressVerbose"; }, never, never, false, never>;
}
