import { EventEmitter, OnInit } from '@angular/core';
import { MenuSection } from '../../shared/models/menu-section.model';
import { MenuItem } from '../../shared/models/menu-item.model';
import * as i0 from "@angular/core";
export declare class WappTouchMenuComponent implements OnInit {
    collapsedPanels: boolean;
    noItemsLabel: string;
    expandLabel: string;
    collapseLabel: string;
    favouriteSectionTitle: string;
    menuSections: MenuSection[];
    favouriteMenuItems: MenuItem[];
    addFavouriteClicked: EventEmitter<MenuItem>;
    ngOnInit(): void;
    unshiftFavouriteMenuItems(): void;
    expandAll(): void;
    collapseAll(): void;
    addToFavourites(menuItem: MenuItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappTouchMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappTouchMenuComponent, "wapp-touch-menu", never, { "noItemsLabel": "noItemsLabel"; "expandLabel": "expandLabel"; "collapseLabel": "collapseLabel"; "favouriteSectionTitle": "favouriteSectionTitle"; "menuSections": "menuSections"; "favouriteMenuItems": "favouriteMenuItems"; }, { "addFavouriteClicked": "addFavouriteClicked"; }, never, never, false, never>;
}
