import { QbFilterEntity } from "./qb-filter-entity.model";
import { QbOperators } from "./qb-operators.model";
export interface FilterField {
    id: number;
    name: string;
    jsonName: string;
    dataType: number;
    regexToValidate: string;
    hasListOfValues: boolean;
    sqlGetListValues: string;
    operators: QbOperators[];
    qbfilterEntity: QbFilterEntity;
    listOfValues: {
        name: string;
        value: number;
    }[];
}
