import { RuleSet } from "angular2-query-builder";
import { LazyElementQueryRequest } from "../lazy-element-query-request.model";
export interface QueryResults {
    type: QueryResultType;
    basic?: RuleSet | null | undefined;
    advanced?: RuleSet | null | undefined;
    grouped: RuleSet | null | undefined;
    lazyRequest?: LazyElementQueryRequest;
}
export declare enum QueryResultType {
    NoFilters = 0,
    Basic = 1,
    Advanced = 2,
    Grouped = 3
}
