import { BackButtonConfig } from "./back-button-config.model";
import { CustomButtonConfig } from "./custom-button-config.model";
import { TableColumnFilterTypes, TableColumnTypes } from "./enums.model";
import { WappTableActionButton } from "./wapp-table-action-button.model";
export interface WappTableLazyLoading {
    headers: string[];
    backButtonConfig?: BackButtonConfig;
    hasNewElementButton: boolean;
    newElementButtonLabel?: string;
    columnTypes: TableColumnTypes[];
    columnFilterTypes: TableColumnFilterTypes[];
    columnBooleanTypeIcons: any;
    selectFilterElements: any;
    columnWidths: string[];
    hasCheckbox: boolean;
    hasImage: boolean;
    hasViewButton: boolean;
    customButtonConfig?: CustomButtonConfig;
    hasEditButton: boolean;
    hasDeleteButton: boolean;
    hasCopyButton: boolean;
    hasPaginator: boolean;
    hasClearButton: boolean;
    hasGlobalSearch: boolean;
    elementObjectRoutes: any[];
    identificator: string;
    filterNames: any;
    sortableNames: any[];
    hasColumnFilters: boolean;
    hasSortableColumns: boolean;
    globalFilterFields?: string[];
    confirmMultipleDeleteLabel: string;
    confirmSingleDeleteLabel: string;
    confirmDeleteBtnLabel: string;
    confirmCopyLabel?: string;
    confirmCopyBtnLabel?: string;
    searchPlaceholder: string;
    currentPageReportTemplate: string;
    disableEditProperty?: string;
    disableDeleteProperty?: string;
    disableCheckbox?: string;
    disableDelete?: boolean;
    actionButtons?: WappTableActionButton[];
    rowsPerPageOptions?: number[];
}
