import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { QbPanelFilter } from '../../models/filter-panel/qb-panel-filter.model';
import * as i0 from "@angular/core";
export declare class ApiService {
    private http;
    constructor(http: HttpClient);
    getFilterPanel(apiUrl: string, token: string, commonDataApiUrl: string, commonDataApiToken: string, filterId: string): Observable<QbPanelFilter>;
    getFieldValues(commonDataApiUrl: string, commonDataApiToken: string, sqlValueList: string): Observable<string[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiService>;
}
