import { EventEmitter, OnInit } from '@angular/core';
import { NgControl, FormControlName, ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditCalendarComponent implements OnInit, ControlValueAccessor {
    ngControl: NgControl;
    private controlName;
    date: Date;
    inputDate: Date;
    onValueEvent: EventEmitter<Date>;
    showTime: boolean;
    showSeconds: boolean;
    timeOnly: boolean;
    showIcon: boolean;
    label: string;
    minDate: Date;
    maxDate: Date;
    isRequired: boolean;
    requiredErrorDescription: string;
    formControl: any;
    isDisabled: boolean;
    isTouched: boolean;
    onChange: (_: any) => void;
    onTouch: () => void;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    writeValue(inputDate: Date): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    onValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditCalendarComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditCalendarComponent, "wapp-edit-calendar", never, { "inputDate": "inputDate"; "showTime": "showTime"; "showSeconds": "showSeconds"; "timeOnly": "timeOnly"; "showIcon": "showIcon"; "label": "label"; "minDate": "minDate"; "maxDate": "maxDate"; "isRequired": "isRequired"; "requiredErrorDescription": "requiredErrorDescription"; }, { "onValueEvent": "onValue"; }, never, never, false, never>;
}
