import { EventEmitter, OnInit } from '@angular/core';
import { NgControl, FormControlName, ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditChipsComponent implements OnInit, ControlValueAccessor {
    ngControl: NgControl;
    private controlName;
    value: any[];
    selectedValues: any[];
    label: string;
    placeholder: string;
    allChips: any[];
    optionLabel: string;
    optionValue: string;
    isRequired: boolean;
    requiredErrorDescription: string;
    activeFloatLabel: boolean;
    selectedChipsEvent: EventEmitter<any[]>;
    formControl: any;
    isDisabled: boolean;
    isTouched: boolean;
    onChange: (_: any) => void;
    onTouch: () => void;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    onSelectedChipsChange(selectedItems: any): void;
    writeValue(value: any[]): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouch: any): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditChipsComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditChipsComponent, "wapp-edit-chips", never, { "selectedValues": "selectedValues"; "label": "label"; "placeholder": "placeholder"; "allChips": "allChips"; "optionLabel": "optionLabel"; "optionValue": "optionValue"; "isRequired": "isRequired"; "requiredErrorDescription": "requiredErrorDescription"; "activeFloatLabel": "activeFloatLabel"; }, { "selectedChipsEvent": "selectedChips"; }, never, never, false, never>;
}
