import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor, NgControl, FormControlName } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditInputNumericComponent implements OnInit, ControlValueAccessor {
    ngControl: NgControl;
    private controlName;
    value: number;
    inputValue: number;
    onValueEvent: EventEmitter<number>;
    label: string;
    placeholder: string;
    mode: string;
    minFractionDigits: number;
    maxFractionDigits: number;
    currency: string;
    prefix: string;
    suffix: string;
    stepMode: boolean;
    step: number;
    min: number;
    max: number;
    useGrouping: boolean;
    isRequired: boolean;
    requiredErrorDescription: string;
    minErrorDescription: string;
    maxErrorDescription: string;
    formControl: any;
    isDisabled: boolean;
    isTouched: boolean;
    onChange: (_: any) => void;
    onTouch: () => void;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouch: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditInputNumericComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditInputNumericComponent, "wapp-edit-input-numeric", never, { "inputValue": "inputValue"; "label": "label"; "placeholder": "placeholder"; "mode": "mode"; "minFractionDigits": "minFractionDigits"; "maxFractionDigits": "maxFractionDigits"; "currency": "currency"; "prefix": "prefix"; "suffix": "suffix"; "stepMode": "stepMode"; "step": "step"; "min": "min"; "max": "max"; "useGrouping": "useGrouping"; "isRequired": "isRequired"; "requiredErrorDescription": "requiredErrorDescription"; "minErrorDescription": "minErrorDescription"; "maxErrorDescription": "maxErrorDescription"; }, { "onValueEvent": "onValue"; }, never, never, false, never>;
}
