import { EventEmitter, OnInit } from '@angular/core';
import { FormControlName, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditInputTextComponent implements OnInit {
    ngControl: NgControl;
    private controlName;
    value: string;
    inputValue: string;
    onValueEvent: EventEmitter<string>;
    label: string;
    placeholder: string;
    helpDescription: string;
    isRequired: boolean;
    requiredErrorDescription: string;
    isDisabled: boolean;
    pattern: string;
    patternErrorDescription: string;
    minlength: number;
    minlengthErrorDescription: string;
    maxlength: number;
    maxlengthErrorDescription: string;
    autofocus: boolean;
    formControl: any;
    isTouched: boolean;
    onChange: (_: any) => void;
    onTouch: () => void;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouch: any): void;
    onValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditInputTextComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditInputTextComponent, "wapp-edit-input-text", never, { "inputValue": "inputValue"; "label": "label"; "placeholder": "placeholder"; "helpDescription": "helpDescription"; "isRequired": "isRequired"; "requiredErrorDescription": "requiredErrorDescription"; "isDisabled": "isDisabled"; "pattern": "pattern"; "patternErrorDescription": "patternErrorDescription"; "minlength": "minlength"; "minlengthErrorDescription": "minlengthErrorDescription"; "maxlength": "maxlength"; "maxlengthErrorDescription": "maxlengthErrorDescription"; "autofocus": "autofocus"; }, { "onValueEvent": "onValue"; }, never, never, false, never>;
}
