import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControlName, NgControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class WappEditSelectComponent implements OnInit, ControlValueAccessor {
    ngControl: NgControl;
    private controlName;
    value: any;
    selectedValue: any;
    label: string;
    placeholder: string;
    optionLabel: string;
    optionValue: string;
    options: any[];
    showClear: boolean;
    isRequired: boolean;
    requiredErrorDescription: string;
    selectedOptionEvent: EventEmitter<number>;
    formControl: any;
    isDisabled: boolean;
    isTouched: boolean;
    onChange: (_: any) => void;
    onTouch: () => void;
    constructor(ngControl: NgControl, controlName: FormControlName);
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouch: any): void;
    setDisabledState?(isDisabled: boolean): void;
    getSelectedOption(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappEditSelectComponent, [{ optional: true; self: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappEditSelectComponent, "wapp-edit-select", never, { "selectedValue": "selectedValue"; "label": "label"; "placeholder": "placeholder"; "optionLabel": "optionLabel"; "optionValue": "optionValue"; "options": "options"; "showClear": "showClear"; "isRequired": "isRequired"; "requiredErrorDescription": "requiredErrorDescription"; }, { "selectedOptionEvent": "selectedOptionEvent"; }, never, never, false, never>;
}
