import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DataTypeEnum } from '../../../shared/models/enums.model';
import * as i0 from "@angular/core";
export declare class ListFieldComponent implements OnInit, ControlValueAccessor, OnChanges {
    optionsReceived: any;
    options: any;
    optionSelected: any;
    operator: any;
    placeholder: any;
    onlyDropdown: boolean;
    dataType: typeof DataTypeEnum;
    private onChange;
    private onTouched;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onOptionSelected(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    getDataType(): DataTypeEnum.Single | DataTypeEnum.Multi;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListFieldComponent, "wapp-list-field", never, { "optionsReceived": "options"; "operator": "operator"; "placeholder": "placeholder"; "onlyDropdown": "onlyDropdown"; }, {}, never, never, false, never>;
}
