import { EventEmitter, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MenuItem, MessageService } from 'primeng/api';
import * as i0 from "@angular/core";
export declare class WappWizardComponent implements OnInit {
    messageService: MessageService;
    items: MenuItem[];
    activeIndex: number;
    stepsItems: MenuItem[];
    stepsHeadings: string[];
    nextBtnLabel: string;
    previousBtnLabel: string;
    stepsSubheadings: string[];
    confirmButtonLabel: string;
    confirmButtonIcon: string;
    secondaryConfirmButtonLabel: string;
    secondaryConfirmButtonIcon: string;
    isReadOnly: boolean;
    formGroup: FormGroup;
    confirmButtonActivated: EventEmitter<boolean>;
    secondaryConfirmButtonActivated: EventEmitter<boolean>;
    activeIndexParent: EventEmitter<number>;
    constructor(messageService: MessageService);
    ngOnInit(): void;
    onActiveIndexChange(event: any): void;
    nextPage(): void;
    previousPage(): void;
    confirm(): void;
    secondaryConfirm(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappWizardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappWizardComponent, "wapp-wizard", never, { "stepsItems": "stepsItems"; "stepsHeadings": "stepsHeadings"; "nextBtnLabel": "nextBtnLabel"; "previousBtnLabel": "previousBtnLabel"; "stepsSubheadings": "stepsSubheadings"; "confirmButtonLabel": "confirmButtonLabel"; "confirmButtonIcon": "confirmButtonIcon"; "secondaryConfirmButtonLabel": "secondaryConfirmButtonLabel"; "secondaryConfirmButtonIcon": "secondaryConfirmButtonIcon"; "isReadOnly": "isReadOnly"; "formGroup": "formGroup"; }, { "confirmButtonActivated": "confirmButtonActivated"; "secondaryConfirmButtonActivated": "secondaryConfirmButtonActivated"; "activeIndexParent": "activeIndexParent"; }, never, [".step-1", ".step-2", ".step-3", ".step-4", ".step-5", ".step-6", ".step-7", ".step-8", ".step-9", ".step-10", ".step-11", ".step-12", ".step-13", ".step-14", ".step-15", ".step-16", ".step-17", ".step-18", ".step-19", ".step-20"], false, never>;
}
