export declare enum TableColumnFilterTypes {
    None = 0,
    Text = 1,
    Multiselect = 2,
    Checkbox = 3,
    Image = 4,
    Boolean = 5,
    Date = 6
}
export declare enum TableColumnTypes {
    None = 0,
    Text = 1,
    Badge = 2,
    Checkbox = 3,
    Image = 4,
    Boolean = 5,
    Date = 6,
    Currency = 7
}
export declare enum QBDataTypeEnum {
    Boolean = 1,
    Datetime = 2,
    Decimal = 3,
    List = 4,
    Number = 5,
    Text = 6,
    Address = 7,
    StoreList = 8,
    ServiceList = 9,
    ProductList = 10,
    CategoryList = 11,
    ProductTagList = 12,
    SegmentList = 13,
    GroupList = 14,
    CustomerTagList = 15,
    TypeEventActivityList = 16,
    PaymentTypeList = 17,
    SaleChannelList = 18,
    CustomerChannelList = 19,
    OperationTypeList = 20
}
export declare enum OperatorEnum {
    Equals = "=",
    NotEquals = "!=",
    LessThan = "<",
    LessThanEqual = "<=",
    GreaterThan = ">",
    GreaterThanEqual = ">=",
    In = "in",
    NotIn = "not in",
    IsNull = "is null",
    IsNotNull = "is not null"
}
export declare enum DataTypeEnum {
    Single = 1,
    Multi = 2,
    Nullable = 3
}
