import { Type } from '@angular/core';
import { BreakpointObserver } from '@angular/cdk/layout';
import { DialogService, DynamicDialogConfig, DynamicDialogRef } from 'primeng/dynamicdialog';
import * as i0 from "@angular/core";
export interface ModalSize {
    width: string;
    height?: string;
}
export declare class ModalService {
    private dialogService;
    private breakpointObserver;
    constructor(dialogService: DialogService, breakpointObserver: BreakpointObserver);
    dialogRef: any;
    smallDialogSubscription: any;
    dialogData: any;
    open(componentOrTemplateRef: Type<any>, modalConfig?: DynamicDialogConfig, modalSize?: ModalSize): DynamicDialogRef;
    close(): void;
    getComponentInstance<T>(): T;
    getComponentRef(): import("@angular/core").ComponentRef<any> | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ModalService>;
}
